## ArrayHelper
Вспомогательные методы для работы с массивами
<br>
<br>


### Зависимости
Нет
<br>
<br>
<br>


### Методы

<details>
  <summary>ArrayHelper.get(myArray, exampleObj, flags)</summary>
  <div>
  Найти в массиве 1 элемент по образцу: по объекту {ключ: значение},
  <br>или по нескольким парам {ключ1: значение1, ключ2: значение2, ...}
  <br>
  <br>
  Если третий параметр не указан, возвращает объект из массива (первый объект, в котором есть такие же пары, как в образце)
  <br>
  Если указан флаг {getI: true}, возвращает только порядковый номер элемента
  <br>
  Если указан флаг {getI: "all"}, возвращает сложный объект {item, i}
  <br>
  В случае отсутствия совпадений, вернет -1 или null (зависит от flags)
  <br>
  <br>
  </div>
</details>

<details>
  <summary>ArrayHelper.getDeep(myArray, exampleObj, flags)</summary>
  <div>
  Найти в массиве 1 элемент по куску объекта-образца
  <br>exampleObj может быть как простой объект: {ключ: значение}
  <br>так и вложенный объект: {ключ1: {ключ2: значение2}}
  <br>
  <br>
  Если flags не указан, возвращает объект (первый объект, в котором есть совпадения с образцом)
  <br>
  Если указан flags {getI: true}, возвращает только порядковый номер элемента
  <br>
  Если указан flags {getI: "all"}, возвращает сложный объект {item, i}
  <br>
  В случае отсутствия совпадений, вернет -1 или null (зависит от flags)
  <br>
  <br>
  </div>
</details>

<details>
  <summary>ArrayHelper.getChecked(myArray)</summary>
  <div>
  Специфический поиск.
  <br>Получить 1 объект из массива с первым полем isChecked=true
  <br>
  В случае отсутствия совпадений вернет пустой объект {}
  <br>
  <br>
  </div>
</details>



### Подключение и использование

- Импортируем
```javascript
import ArrayHelper from "yb-array-helper";
```


